#include <iostream>

int main() {
    int n, l;
    scanf("%d %d", &n, &l);
    
    int pom;
    bool k = true;
    pom = 0;
    for(int i = 1;i<=n;i++){
        scanf("%d", &pom);
        if(pom<=l){
            k = false;
            printf("%d", i);
            break;
        }
    }
    if(k){printf("%d", -1);}

    return 0;
}